Description

It would be useful to add a default template, as it was long ago with the quickprint plugin.
I think the blank page is intimidating for newbies, and it is quite convenient to
have something simple to start with.

History

#1 - 2012-01-26 03:22 PM - Alister Hood

But:

- would that mean when someone wanted to start from a blank page they would need to select and delete everything?

- a single default template would only ever suit a small number of situations. What would it be? A4 landscape? A3 landscape? | guess it would need to be
configurable. How much benefit would it really be?

Here is an alternative idea:

(1) provide some default layouts in a standard location (initially there could just be one standard "style" of layout, but available for several of the most
common page sizes, portrait and landscape), and

(2) when opening a new composer layout, display a message, "Add some items to the layout, or use File>Load from template".

But (2) still isn't very user friendly, because when users choose to add items to the blank layout they should really select the right page size is selected,
first, before putting everything on it.

The message could say, "Check the page size and then add some items to the layout, or use File>Load from template". But this is quite a lot of words, and
I don't think it is the best solution...

| think the ideal approach would be something like this:

(3) Instead of (2), before opening the new composer window, display a dialog for the user to choose from the templates in (1). There would be one set of
templates which are blank pages in the different page sizes, portrait and landscape. There would be at least one set of standard templates distributed with
QGIS which aren't blank.

People would of course also create their own standard sets of templates for use in their organisation, or on a particular project.
Ideally the dialog should also have an option to import a composer layout from another QGIS project. Is it possible to incorporate an additional option like
this into the standard file open dialog? | have a feeling it may not be possible on some platforms...

#2 - 2012-01-26 10:31 PM - Nathan Woodrow
- File Selection_023.png added

Currently the Composer Manager has room to handle templates, see attached. | think we just use that and add a new few default ones in there.
| would also think it would be a good idea to have the template location search three places

1. The QGIS install location

2. The .qgis folder. Maybe make a new folder called "templates”
3. The project directory
Bonus:

- It would also be nice to set a another directory e.g a network share, as the template location

global templates.

#3 - 2012-01-26 11:04 PM - Paolo Cavallini
- Tracker changed from Bug report to Feature request

#4 - 2012-01-27 12:10 AM - Richard Duivenvoorde

about setting search paths: please have a look at #4900

#5 - 2012-04-15 10:21 AM - Giovanni Manghi
- Target version set to Version 2.0.0

#6 - 2012-10-06 02:24 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2014-04-06 06:03 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#8 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No

#9 - 2018-02-23 06:07 PM - Paolo Cavallini
- Description updated

Still true in QGIS 3

. For organisations that use QGIS and who want to have
